Bug 228689 - devel/py-openstacksdk: update to 0.11.3
Summary: devel/py-openstacksdk: update to 0.11.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on: 228682 228687
Blocks: 228693 228696 228697 228845
  Show dependency treegraph
 
Reported: 2018-06-02 15:07 UTC by Kai Knoblich
Modified: 2018-07-06 17:41 UTC (History)
3 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
py-openstacksdk-0.11.3.patch (3.96 KB, patch)
2018-06-02 15:07 UTC, Kai Knoblich
no flags Details | Diff
py-openstacksdk-0.11.3-rev2.patch (2.57 KB, patch)
2018-06-09 17:56 UTC, Kai Knoblich
no flags Details | Diff
py-openstacksdk-0.11.3-v3.patch (3.96 KB, patch)
2018-06-22 14:12 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-06-02 15:07:31 UTC
Created attachment 193929 [details]
py-openstacksdk-0.11.3.patch

Hello,

attached is the patch from svn that updates devel/py-openstacksdk to 0.11.3 .

Changes by upstream:
- https://docs.openstack.org/releasenotes/openstacksdk/queens.html

Changes to the port:
- added LICENSE_FILE
- added DOCS option with appropriate dependencies
- sorted variables a bit
- removed post-patch target because it's not required anymore
- updated WWW and reformatted pkg-descr

QA:
~~~
- poudriere (11.1-RELEASE amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK

Note:
- There's already a newer version at PyPI available but v0.11.3 is the latest supported release for the Queens Release Series. (see also: https://releases.openstack.org/queens/index.html#queens-openstacksdk)
- Before this update can be committed following ports must be added/updated first:
-> add devel/py-munch (see also PR #228665: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228665)
-> add devel/py-os-service-types (see also PR #228682: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228682)
-> update devel/py-requestsexceptions (see also PR #228687: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228687)
Comment 1 Kai Knoblich freebsd_committer 2018-06-09 17:56:54 UTC
Created attachment 194103 [details]
py-openstacksdk-0.11.3-rev2.patch

Same patch with keyword "concurrent" removed from USE_PYTHON.
Comment 2 Kai Knoblich freebsd_committer 2018-06-22 14:12:12 UTC
Created attachment 194485 [details]
py-openstacksdk-0.11.3-v3.patch

Rebased patch after r472884
Comment 3 commit-hook freebsd_committer 2018-07-06 17:38:14 UTC
A commit references this bug:

Author: miwi
Date: Fri Jul  6 17:37:44 UTC 2018
New revision: 474021
URL: https://svnweb.freebsd.org/changeset/ports/474021

Log:
  - Update to 0.11.3
  - Added LICENSE_FILE
  - Added DOCS option with appropriate dependencies
  - Sorted variables a bit
  - Removed post-patch target because it's not required anymore
  - Updated WWW and reformatted pkg-descr

  PR:	228689
  Submitted by:	freebsd_ports@k-worx.org
  Approved by:	maintainer

Changes:
  head/devel/py-openstacksdk/Makefile
  head/devel/py-openstacksdk/distinfo
  head/devel/py-openstacksdk/pkg-descr